using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Fireball : MonoBehaviour
{
  public float speed = 1.0f;
  public Vector3 destination;

  void Update()
  {
    Move();
  }

  void Move()
  {
    float step = speed * Time.deltaTime;
    transform.position = Vector3.MoveTowards(transform.position, destination, step);
  }
}
